Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2778693004: Remove navigator.vibrate without user gesture. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 3 weeks ago by Bin Lu
Modified:
2 months ago
CC:
asvitkine+watch_chromium.org, blink-reviews, chromium-reviews, darin-cc_chromium.org, haraken, jam, kinuko+watch, mlamouri+watch-blink_chromium.org, mvanouwerkerk+watch_chromium.org, srahim+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove navigator.vibrate without user gesture. Calls to navigator.vibrate will immediately return 'false' if user hasn't tapped on the frame or any embedded frame yet. The implementation is behind an experimental flag. The Intent to Deprecate thread: https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/QGcpjisxtik BUG=704650 Review-Url: https://codereview.chromium.org/2778693004 Cr-Commit-Position: refs/heads/master@{#465618} Committed: https://chromium.googlesource.com/chromium/src/+/c5b59119ca57398e87a692c9ea836efee2627966

Patch Set 1 #

Patch Set 2 : Add a deprecation message if the flag is not turned on #

Patch Set 3 : rebase #

Patch Set 4 : Move the flag name/description to const char* #

Patch Set 5 : Add entries in histograms.xml to fix the broken about_flags_unittest. #

Total comments: 8

Patch Set 6 : Refactor the tests via adding user gesture and moving tests around. #

Patch Set 7 : More tweaks to the tests #

Patch Set 8 : Refactor the tests again. #

Patch Set 9 : rebase #

Patch Set 10 : reformat #

Patch Set 11 : remove an OFunused change #

Patch Set 12 : reformat again! #

Total comments: 8

Patch Set 13 : Fix the issues #

Patch Set 14 : remove debugging code #

Patch Set 15 : refactor SimulateUserClick #

Total comments: 17

Patch Set 16 : add #

Patch Set 17 : fix typos #

Patch Set 18 : fix tests #

Patch Set 19 : rebase #

Patch Set 20 : skip mojo test for vibrate with feature policy #

Total comments: 2

Patch Set 21 : add missing change in runtime_fetures.cc #

Patch Set 22 : reformat #

Patch Set 23 : address the comments. #

Patch Set 24 : Fixed the broken tests due to turning off this by default. #

Patch Set 25 : rebase #

Total comments: 2

Patch Set 26 : Use the Deprecation class for warning #

Total comments: 4

Patch Set 27 : update histograms.xml & tests #

Patch Set 28 : rebase #

Patch Set 29 : rebase #

Patch Set 30 : remove deleted file #

Patch Set 31 : rebase #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+344 lines, -239 lines) Patch
M chrome/browser/about_flags.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/flag_descriptions.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/flag_descriptions.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 1 chunk +7 lines, -0 lines 0 comments Download
M content/child/runtime_features.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +4 lines, -0 lines 0 comments Download
M content/public/common/content_features.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/content_features.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 1 chunk +13 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/feature-policy/resources/feature-policy-vibrate-disabled.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +16 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/feature-policy/resources/feature-policy-vibrate-enabled.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +21 lines, -6 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/feature-policy/vibrate-disabled-expected.txt View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/feature-policy/vibrate-enabledforall.php View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +13 lines, -4 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/feature-policy/vibrate-enabledforself.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +13 lines, -4 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/security/resources/cross-origin-iframe-for-vibrate-blocked.html View 1 2 3 4 5 1 chunk +0 lines, -14 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/security/resources/cross-origin-iframe-for-vibrate-with-user-gesture-allowed.html View 1 2 3 4 5 1 chunk +0 lines, -60 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/security/resources/same-origin-iframe-for-vibrate-allowed.html View 1 2 3 4 5 1 chunk +0 lines, -14 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/security/vibrate_in_cross_origin_iframe_blocked.html View 1 2 3 4 5 1 chunk +0 lines, -15 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/security/vibrate_in_cross_origin_iframe_blocked-expected.txt View 1 2 3 4 5 1 chunk +0 lines, -10 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/security/vibrate_in_cross_origin_iframe_with_user_gesture_allowed.html View 1 2 3 4 5 1 chunk +0 lines, -27 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/security/vibrate_in_cross_origin_iframe_with_user_gesture_allowed-expected.txt View 1 2 3 4 5 1 chunk +0 lines, -14 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/security/vibrate_in_same_origin_iframe_allowed.html View 1 2 3 4 5 1 chunk +0 lines, -15 lines 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/security/vibration/resources/vibrate-in-cross-origin-iframe-blocked.html View 1 2 3 4 5 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/security/vibration/resources/vibrate-in-iframe-with-user-gesture-allowed.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 3 chunks +9 lines, -15 lines 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/security/vibration/resources/vibrate-in-same-origin-iframe-with-user-gesture-allowed.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 3 chunks +11 lines, -17 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/vibration/resources/vibrate-with-user-gesture-allowed.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +27 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/security/vibration/vibrate-in-cross-origin-iframe-blocked.html View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/security/vibration/vibrate-in-cross-origin-iframe-blocked-expected.txt View 1 2 3 4 5 6 7 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/security/vibration/vibrate-in-cross-origin-iframe-with-user-gesture-allowed.html View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/security/vibration/vibrate-in-cross-origin-iframe-with-user-gesture-allowed-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +2 lines, -2 lines 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/security/vibration/vibrate-in-same-origin-iframe-with-user-gesture-allowed.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 2 chunks +3 lines, -4 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/vibration/vibrate-in-same-origin-iframe-with-user-gesture-allowed-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +14 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/vibration/vibrate-on-top-page-before-during-after-user-gesture.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +45 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/vibration/vibrate-on-top-page-before-during-after-user-gesture-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +5 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/resources/user-gesture-utils.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +13 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/vibration/cancel-vibration-during-pattern-vibrating.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 chunks +8 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/vibration/resources/vibrate-from-iframe.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +26 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/vibration/vibration.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 chunks +7 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/vibration/vibration-durations.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +11 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/vibration/vibration-exceptions.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +6 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/vibration/vibration-iframe-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +0 lines, -7 lines 0 comments Download
M third_party/WebKit/LayoutTests/vibration/vibration-page-visibility.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +6 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/vibration/vibration-patterns.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +6 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/Deprecation.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 1 chunk +6 lines, -0 lines 1 comment Download
M third_party/WebKit/Source/core/frame/UseCounter.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/vibration/NavigatorVibration.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 2 chunks +28 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/platform/RuntimeEnabledFeatures.json5 View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 1 chunk +4 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 3 chunks +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 173 (129 generated)
Bin Lu
Does this look good? If yes, I will send out the "intent to implement and ...
4 months, 3 weeks ago (2017-03-27 16:40:28 UTC) #5
Rick Byers
Looks good overall. You should probably add some explicit tests for this behavior though. Eg. ...
4 months, 3 weeks ago (2017-03-29 18:01:40 UTC) #30
jochen (gone - plz use gerrit)
you will also need a member of the metrics team to review the histograms.xml change
4 months, 2 weeks ago (2017-04-07 06:58:21 UTC) #39
binlu
Added jwd@ from the metrics team. Thanks jochen@ for the reminder. On 2017/04/07 06:58:21, jochen ...
4 months, 2 weeks ago (2017-04-07 12:06:03 UTC) #41
jwd
Metrics LGTM
4 months, 1 week ago (2017-04-10 21:43:20 UTC) #42
binlu
I've refactored the tests. PTAL. Also I'm still not sure if third_party/WebKit/LayoutTests/vibration/vibration-iframe.html is working correctly. ...
4 months, 1 week ago (2017-04-11 21:54:25 UTC) #51
lunalu1
The layout tests for feature policy vibrate are failing is because now vibrate is behind ...
4 months, 1 week ago (2017-04-12 14:47:47 UTC) #56
lunalu1
Once https://codereview.chromium.org/2814153002 is landed, all feature policy vibrate tests should be passing.
4 months, 1 week ago (2017-04-12 17:35:50 UTC) #57
mustaq
Few comments while you wait for the feature-policy CL to land... https://codereview.chromium.org/2778693004/diff/220001/chrome/browser/flag_descriptions.cc File chrome/browser/flag_descriptions.cc (right): ...
4 months, 1 week ago (2017-04-13 14:28:34 UTC) #58
binlu
Thanks for the reviews. Fixed the issues. PTAL. I'm hoping that this CL could catch ...
4 months, 1 week ago (2017-04-13 15:11:11 UTC) #63
mustaq
https://codereview.chromium.org/2778693004/diff/220001/third_party/WebKit/LayoutTests/resources/user-gesture-utils.js File third_party/WebKit/LayoutTests/resources/user-gesture-utils.js (right): https://codereview.chromium.org/2778693004/diff/220001/third_party/WebKit/LayoutTests/resources/user-gesture-utils.js#newcode6 third_party/WebKit/LayoutTests/resources/user-gesture-utils.js:6: function simulateUserClick(elementID, event) { On 2017/04/13 15:11:11, binlu wrote: ...
4 months, 1 week ago (2017-04-13 15:58:37 UTC) #64
binlu
https://codereview.chromium.org/2778693004/diff/220001/third_party/WebKit/LayoutTests/resources/user-gesture-utils.js File third_party/WebKit/LayoutTests/resources/user-gesture-utils.js (right): https://codereview.chromium.org/2778693004/diff/220001/third_party/WebKit/LayoutTests/resources/user-gesture-utils.js#newcode6 third_party/WebKit/LayoutTests/resources/user-gesture-utils.js:6: function simulateUserClick(elementID, event) { On 2017/04/13 15:58:37, mustaq wrote: ...
4 months, 1 week ago (2017-04-13 17:05:44 UTC) #65
mustaq
Have a few more comments on tests & a clarification question otherwise looks fine. https://codereview.chromium.org/2778693004/diff/280001/chrome/browser/flag_descriptions.cc ...
4 months, 1 week ago (2017-04-13 19:05:04 UTC) #66
binlu
Thanks for the review. PTAL. https://codereview.chromium.org/2778693004/diff/280001/chrome/browser/flag_descriptions.cc File chrome/browser/flag_descriptions.cc (right): https://codereview.chromium.org/2778693004/diff/280001/chrome/browser/flag_descriptions.cc#newcode2494 chrome/browser/flag_descriptions.cc:2494: "Block the Vibration API ...
4 months, 1 week ago (2017-04-13 19:55:27 UTC) #69
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2778693004/380001
4 months, 1 week ago (2017-04-14 00:44:31 UTC) #88
ojan
https://codereview.chromium.org/2778693004/diff/380001/content/public/common/content_features.cc File content/public/common/content_features.cc (right): https://codereview.chromium.org/2778693004/diff/380001/content/public/common/content_features.cc#newcode231 content/public/common/content_features.cc:231: "VibrateRequiresUserGesture", base::FEATURE_ENABLED_BY_DEFAULT}; This isn't actually hooked up to the ...
4 months, 1 week ago (2017-04-14 00:52:43 UTC) #89
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/411205)
4 months, 1 week ago (2017-04-14 00:59:24 UTC) #91
Rick Byers
This LGTM except for the problem Ojan pointed out where the about:flags page isn't actually ...
4 months, 1 week ago (2017-04-14 01:09:13 UTC) #92
binlu
https://codereview.chromium.org/2778693004/diff/380001/content/public/common/content_features.cc File content/public/common/content_features.cc (right): https://codereview.chromium.org/2778693004/diff/380001/content/public/common/content_features.cc#newcode231 content/public/common/content_features.cc:231: "VibrateRequiresUserGesture", base::FEATURE_ENABLED_BY_DEFAULT}; On 2017/04/14 00:52:43, ojan wrote: > This ...
4 months, 1 week ago (2017-04-14 01:16:35 UTC) #95
binlu
Thanks for the reviews! On 2017/04/14 01:09:13, Rick Byers wrote: > This LGTM except for ...
4 months, 1 week ago (2017-04-14 04:38:21 UTC) #102
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2778693004/440001
4 months, 1 week ago (2017-04-14 04:39:21 UTC) #105
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/411338)
4 months, 1 week ago (2017-04-14 04:47:00 UTC) #107
blink-reviews
The presubmit failed due to "Missing LGTM from an OWNER for these files": content/child/runtime_features.cc content/public/common/content_features.cc ...
4 months, 1 week ago (2017-04-14 04:53:03 UTC) #110
chromium-reviews
The presubmit failed due to "Missing LGTM from an OWNER for these files": content/child/runtime_features.cc content/public/common/content_features.cc ...
4 months, 1 week ago (2017-04-14 04:53:03 UTC) #111
jochen (gone - plz use gerrit)
https://codereview.chromium.org/2778693004/diff/480001/third_party/WebKit/Source/modules/vibration/NavigatorVibration.cpp File third_party/WebKit/Source/modules/vibration/NavigatorVibration.cpp (right): https://codereview.chromium.org/2778693004/diff/480001/third_party/WebKit/Source/modules/vibration/NavigatorVibration.cpp#newcode94 third_party/WebKit/Source/modules/vibration/NavigatorVibration.cpp:94: if (!frame->HasReceivedUserGesture()) { should this be done via the ...
4 months ago (2017-04-18 15:10:09 UTC) #126
binlu
https://codereview.chromium.org/2778693004/diff/280001/third_party/WebKit/LayoutTests/vibration/resources/vibrate-from-iframe.html File third_party/WebKit/LayoutTests/vibration/resources/vibrate-from-iframe.html (right): https://codereview.chromium.org/2778693004/diff/280001/third_party/WebKit/LayoutTests/vibration/resources/vibrate-from-iframe.html#newcode2 third_party/WebKit/LayoutTests/vibration/resources/vibrate-from-iframe.html:2: <script src="../../resources/testharness.js"></script> On 2017/04/13 19:05:04, mustaq wrote: > Add ...
4 months ago (2017-04-18 15:48:30 UTC) #129
jochen (gone - plz use gerrit)
you'll also need to modify histograms.xml for the new use counter (there's a script that ...
4 months ago (2017-04-18 15:51:10 UTC) #130
binlu
Thanks Jochen for the review! On 2017/04/18 15:51:10, jochen wrote: > you'll also need to ...
4 months ago (2017-04-18 16:13:00 UTC) #135
binlu
https://codereview.chromium.org/2778693004/diff/500001/third_party/WebKit/Source/modules/vibration/NavigatorVibration.cpp File third_party/WebKit/Source/modules/vibration/NavigatorVibration.cpp (right): https://codereview.chromium.org/2778693004/diff/500001/third_party/WebKit/Source/modules/vibration/NavigatorVibration.cpp#newcode99 third_party/WebKit/Source/modules/vibration/NavigatorVibration.cpp:99: message = On 2017/04/18 15:51:10, jochen wrote: > can ...
4 months ago (2017-04-18 16:14:43 UTC) #136
jochen (gone - plz use gerrit)
lgtm
4 months ago (2017-04-18 19:21:19 UTC) #141
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2778693004/540001
4 months ago (2017-04-18 21:01:50 UTC) #146
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/414240)
4 months ago (2017-04-18 21:12:10 UTC) #148
lunalu1
lgtm
4 months ago (2017-04-18 21:12:45 UTC) #149
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2778693004/580001
4 months ago (2017-04-19 00:22:47 UTC) #152
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/433857)
4 months ago (2017-04-19 03:00:09 UTC) #154
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2778693004/580001
4 months ago (2017-04-19 03:21:46 UTC) #156
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/433919)
4 months ago (2017-04-19 05:48:17 UTC) #158
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2778693004/580001
4 months ago (2017-04-19 11:40:06 UTC) #160
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/414990) linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
4 months ago (2017-04-19 11:47:10 UTC) #162
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2778693004/600001
4 months ago (2017-04-19 13:22:46 UTC) #165
commit-bot: I haz the power
Committed patchset #31 (id:600001) as https://chromium.googlesource.com/chromium/src/+/c5b59119ca57398e87a692c9ea836efee2627966
4 months ago (2017-04-19 15:39:27 UTC) #169
foolip
https://codereview.chromium.org/2778693004/diff/600001/third_party/WebKit/Source/core/frame/Deprecation.cpp File third_party/WebKit/Source/core/frame/Deprecation.cpp (right): https://codereview.chromium.org/2778693004/diff/600001/third_party/WebKit/Source/core/frame/Deprecation.cpp#newcode422 third_party/WebKit/Source/core/frame/Deprecation.cpp:422: M60, "5644273861001216"); We're now at M61, can this be ...
2 months ago (2017-06-16 08:00:42 UTC) #171
binlu
On 2017/06/16 08:00:42, foolip wrote: > https://codereview.chromium.org/2778693004/diff/600001/third_party/WebKit/Source/core/frame/Deprecation.cpp > File third_party/WebKit/Source/core/frame/Deprecation.cpp (right): > > https://codereview.chromium.org/2778693004/diff/600001/third_party/WebKit/Source/core/frame/Deprecation.cpp#newcode422 > ...
2 months ago (2017-06-20 15:55:59 UTC) #172
foolip
2 months ago (2017-06-20 20:53:45 UTC) #173
Message was sent while issue was closed.
On 2017/06/20 15:55:59, binlu wrote:
> On 2017/06/16 08:00:42, foolip wrote:
> >
>
https://codereview.chromium.org/2778693004/diff/600001/third_party/WebKit/Sou...
> > File third_party/WebKit/Source/core/frame/Deprecation.cpp (right):
> > 
> >
>
https://codereview.chromium.org/2778693004/diff/600001/third_party/WebKit/Sou...
> > third_party/WebKit/Source/core/frame/Deprecation.cpp:422: M60,
> > "5644273861001216");
> > We're now at M61, can this be removed and merged back?
> 
> The deprecation message is shown only when VibrateRequiresUserGestureEnabled
is
> false, and so it won't be triggered in M60+ since that flag is true in M60+.
>
https://cs.chromium.org/chromium/src/third_party/WebKit/Source/modules/vibrat...
>
https://cs.chromium.org/chromium/src/third_party/WebKit/Source/modules/vibrat...
> 
> If it's okay, I'd prefer to keep it until M60 is released and we are certain
> that we don't revert this change.

Sure, that's fine, I thought this had missed the branch cut as happens from time
to time with removals.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b